import axios from '@/common/services/axios-instance'

class IamAuditSourceProblemServices {
  // 导出模板
  exportItemTemplate(level) {
    return axios({
      method: 'post',
      url: 'api/xcoa-mobile/v1/iamproblem/exportItemTemplate',
      params: { level: Number(level) },
      responseType: 'blob',
    })
  }

  // 导入数据
  importItemTemplate(parentId, groupId, orgId) {
    return axios({
      method: 'post',
      url: 'api/xcoa-mobile/v1/iamproblem/importItemTemplate',
      params: { parentId, groupId, orgId },
    })
  }
}

export default new IamAuditSourceProblemServices()
